Functions and Methods
---------------------

Functions
^^^^^^^^^

.. autoclass:: vskernels.util.get_kernel
    :members:

.. autoclass:: vskernels.util.get_all_kernels
    :members:

Methods
^^^^^^^

Every `Kernel` class comes with a set of methods:

.. autoclass:: vskernels.kernels.docs.Example.scale
    :members:

.. autoclass:: vskernels.kernels.docs.Example.descale
    :members:

.. autoclass:: vskernels.kernels.docs.Example.shift
    :members:

.. autoclass:: vskernels.kernels.docs.Example.resample
    :members:

All Available Kernels
^^^^^^^^^^^^^^^^^^^^^

.. automodule:: vskernels.kernels
    :members:
    :show-inheritance:
